<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3> <strong>Edit Vehicle Model </strong> </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="editForm" autocomplete="off" (ngSubmit)="updateVehicleModel()" class="form-horizontal">

          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle model <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Vehicle model" formControlName="name" maxlength="20" class="form-control"
                required maxlength="25">
              <div class="error-msg" *ngIf="editForm.controls['name'].invalid && (editForm.controls['name'].dirty || editForm.controls['name'].touched)">
                <div *ngIf="editForm.controls['name'].errors.required">
                  Vehicle model is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle Category</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Category" formControlName="vehicle_category" multiple>
                <mat-option *ngFor="let cat of CategoryData" [value]="cat">{{ cat.name }}</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label"> Vehicle model image</label>
            <div class="col-md-10">
              <img *ngIf="imageUrl" class="vehiclemodeldata-image" [src]="imageUrl" alt="my dtc"/>
              <image-upload [extensions]="['jpeg','jpg','png']" [maxFileSize]="1048576" [max]="1" [buttonCaption]="'Select Image'"
                (removed)="onRemoved($event)" (uploadFinished)="imageFinishedUploading($event)" (uploadStateChanged)="onUploadStateChanged($event)">
              </image-upload>
              <span *ngIf="spandata=='yes'" class="clearimage">
                Remove old image before new upload.
              </span><br>
              <span class="image-format">
                Only jpeg, jpg, png formats are allowed.
              </span>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save changes</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/fleet/vehicle-model']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>